Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jep.misc.functions
Class LogTwoArg

    java.lang.Object
      com.singularsys.jep.functions.PostfixMathCommand
          com.singularsys.jep.functions.BinaryFunction
              com.singularsys.jep.misc.functions.LogTwoArg

All Implemented Interfaces:
  PostfixMathCommandI, RealBinaryFunction, java.io.Serializable

    public class LogTwoArg

extends BinaryFunction
implements RealBinaryFunction

Logarithm function where the base is specified in the second argument.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.singularsys.jep.functions.PostfixMathCommand
`curNumberOfParameters, name, NaN, numberOfParameters`

Constructor Summary
`LogTwoArg()` Defaults constructor, negative real arguments result in complex results.
`LogTwoArg(boolean strict)` Constructor specifying treatment of negative real values

Method Summary
`java.lang.Object` | `eval(java.lang.Object l, java.lang.Object r)`
`double` | `evaluate(double l, double r)`
`java.lang.Object` | `log(java.lang.Object param, java.lang.Object base)`

Methods inherited from class com.singularsys.jep.functions.BinaryFunction
`run`

Methods inherited from class com.singularsys.jep.functions.PostfixMathCommand
`asArray, asBool, asDouble, asInt, asLong, asStrictInt, asString, checkNumberOfParameters, checkStack, getName, getNumberOfParameters, setCurNumberOfParameters, setName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogTwoArg

    public LogTwoArg(boolean strict)

  Constructor specifying treatment of negative real values

  Parameters:
    `strict` - if true negative real arguments return NaN, otherwise complex results are returned

### LogTwoArg

    public LogTwoArg()

  Defaults constructor, negative real arguments result in complex results.

Method Detail

### eval

    public java.lang.Object eval(java.lang.Object l,
                                 java.lang.Object r)
                          throws EvaluationException

  Specified by:
    `eval` in class `BinaryFunction`
  Throws:
    `EvaluationException`

### log

    public java.lang.Object log(java.lang.Object param,
                                java.lang.Object base)
                         throws EvaluationException

  Throws:
    `EvaluationException`

### evaluate

    public double evaluate(double l,
                           double r)

  Specified by:
    `evaluate` in interface `RealBinaryFunction`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Singular Systems http://www.singularsys.com/jep